require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")





L加载配置_一体化()

local sz野外地图名称="皆伐"

local 返回一次藏身处=0
local 使用一次Esc=1
local 取仓库物品一次=1
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end
	



		if L自身藏身处()==1		then 
			if Fn_读取仓库信息()==0 then
				-- body
				L信息("当前正在读取仓库信息")
				goto Next
			end

			if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
				-- body
				L信息("当前正在读取公会仓库信息")
				goto Next
			end

	
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
			if L队伍人数()==0		then 
				if L执行间隔("每次取装间隔",30*60*1000)==1	or 取仓库物品一次==1	then 
					if Fn_当前是否存在公会仓库()==1 and L执行个人物品转公会()==1			then --
						L背包处理()
						L信息("正执行个人物品转公会仓库...")
						goto Next
					end 
			
					if Fn_当前是否存在公会仓库()==1 and L执行公会物品转个人()==1			then --
						L背包处理()
						L信息("正执行公会物品转个人仓库...")
						goto Next
					end 
					取仓库物品一次=0
				end 
			end

			L自动集市卖装()
		end



	
	--end

--	L设置探索地图(4)

::Next::

end

